package com.bonus.canteen.core.supply.purchase.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

@ApiModel
public class DrpReserveRateSaveDTO {
   @ApiModelProperty("原料id")
   private @NotNull(
   message = "原料id不能为空!"
) Long materialId;
   @ApiModelProperty("预留比例值(0-100)")
   private Integer reserveRate;

   public Long getMaterialId() {
      return this.materialId;
   }

   public Integer getReserveRate() {
      return this.reserveRate;
   }

   public DrpReserveRateSaveDTO setMaterialId(final Long materialId) {
      this.materialId = materialId;
      return this;
   }

   public DrpReserveRateSaveDTO setReserveRate(final Integer reserveRate) {
      this.reserveRate = reserveRate;
      return this;
   }
}
